# Create a menu

```http
POST https://api.synup.com/api/v4/menus
```

Source: https://developer.synup.com/api/menus/create-a-menu

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | required |  |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.displayName` | string | required |  |
| `input.currencyCode` | string | required |  |
| `input.description` | string | required |  |
| `input.locationId` | string | required |  |
| `input.offeringsSection` | object | required |  |
| `input.offeringsSection.displayName` | string | required |  |
| `input.offeringsSection.description` | string | required |  |
| `input.offeringsSection.offeringsItem` | object | required |  |
| `input.offeringsSection.offeringsItem.displayName` | string | required |  |
| `input.offeringsSection.offeringsItem.description` | string | required |  |
| `input.offeringsSection.offeringsItem.price` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/menus' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "displayName": "Dinner Menu",
    "currencyCode": "us_usd",
    "description": "Our full dinner menu",
    "locationId": "{locationId}",
    "offeringsSection": {
      "displayName": "Starters",
      "description": "Appetizers and small plates",
      "offeringsItem": {
        "displayName": "Bruschetta",
        "description": "Grilled bread with tomato",
        "price": "8.00"
      }
    }
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
